%define base_name drakx-installer-images
%define name %{base_name}-tmb
%define version 1.41
%define release %mkrel 9
%define theme	Free

# version of kernel-tmb-desktop(586) we build against
%define kernver 2.6.29.6-9mdv

%ifarch %ix86
%define install_kernel kernel-tmb-desktop586-%kernver
%else
%define install_kernel kernel-tmb-desktop-%kernver
%endif

%define mandriva_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mandriva-release)

# disable empty debug rpms...
%define _enable_debug_packages  %{nil}
%define debug_package           %{nil}

Summary: DrakX installer images using kernel-tmb series
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.bz2
Patch0:  %{base_name}-dmraid45.patch
Patch1:  %{base_name}-tmb-binaries.patch

License: GPL
Group:   Development/Other
Url:     http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%ifarch %ix86 x86_64
BuildRequires: memtest86+
BuildRequires: grub
BuildRequires: syslinux >= 3.72-%mkrel 1
%endif
BuildRequires: %install_kernel kernel-firmware
BuildRequires: drakx-installer-binaries-tmb >= 1.39-%mkrel 1
BuildRequires: ldetect-lst >= 0.1.199
BuildRequires: mandriva-theme-%{theme}
BuildRequires: pcmciautils
BuildRequires: perl-XML-Parser

BuildRequires: cdrkit-genisoimage
BuildRequires: mkdosfs-with-dir
BuildRequires: mknod-m600
BuildRequires: mtools
Buildrequires: busybox
Buildrequires: ka-deploy-source-node

%description
images needed to build Mandriva installer (DrakX) using kernel-tmb series

%prep
%setup -q -n %{base_name}-%{version} 
%patch0 -p1 -b .dmraid45
%patch1 -p1 -b .binaries

%build
THEME=Mandriva-%{theme} make -C images KERNELS="%{install_kernel}"

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C images install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name






%changelog
* Sat Oct 31 2009 Thomas Backlund <tmb@mandriva.org> 1.41-9mdv2009.1
+ Revision: 460351
- build against kernel-tmb-2.6.29.6-9mdv

* Mon Aug 31 2009 Thomas Backlund <tmb@mandriva.org> 1.41-8mdv2009.1
+ Revision: 423022
- fix path to drakx-installer-binaries-tmb
- build against kernel-tmb-2.6.29.6-7mdv
- build against drakx-installer-binaries-tmb
- rename patch0

* Mon Jul 27 2009 Thomas Backlund <tmb@mandriva.org> 1.41-7mdv2009.1
+ Revision: 400784
- build against 2.6.29.6-4mdv

* Tue Jul 14 2009 Thomas Backlund <tmb@mandriva.org> 1.41-6mdv2009.1
+ Revision: 395830
- build against kernel-tmb-2.6.29.6-2mdv

* Sat Jun 27 2009 Thomas Backlund <tmb@mandriva.org> 1.41-5mdv2009.1
+ Revision: 389598
- sigh... bump release again to get past BS
- bump release to get past BS
- build against kernel-tmb-2.6.29.5-3mdv

* Sat May 02 2009 Thomas Backlund <tmb@mandriva.org> 1.41-2mdv2009.0
+ Revision: 370404
- build with latest d-i-binaries that fixes the firmware loading
- add kernel-firmware to buildrequires
- build against kernel-tmb-2.6.29.2-3mdv

* Sun Apr 19 2009 Thomas Backlund <tmb@mandriva.org> 1.41-1mdv2009.1
+ Revision: 368026
- sync with main drakx-installer-images-1.41
- build against kernel-tmb-2.6.29.1-3mdv
- drop hid modules from patch0 as they now are upstream

* Tue Mar 31 2009 Thomas Backlund <tmb@mandriva.org> 1.36-4mdv2009.1
+ Revision: 362966
- add ff-memless too, as it's needed by hid-logitech and several others too
- build against kernel-tmb-2.6.29-2mdv
- add all hid-* to boot.iso so all keyboards/mices will work

* Sat Mar 28 2009 Thomas Backlund <tmb@mandriva.org> 1.36-3mdv2009.1
+ Revision: 362009
- build against kernel-tmb-2.6.29-1mdv

* Fri Mar 13 2009 Thomas Backlund <tmb@mandriva.org> 1.36-2mdv2009.1
+ Revision: 354733
- build against kernel-tmb-2.6.29-0.rc8.1mdv

* Wed Mar 11 2009 Thomas Backlund <tmb@mandriva.org> 1.36-1mdv2009.1
+ Revision: 353595
- sync with main 1.36
- build against kernel-tmb-2.6.29-0.rc7.3.3mdv
- pass KERNELS variable from spec instead of patching Makefile

* Wed Mar 04 2009 Thomas Backlund <tmb@mandriva.org> 1.35-1mdv2009.1
+ Revision: 348444
- sync with main 1.35
- build against 2.6.29-0.rc7.1mdv

* Tue Feb 17 2009 Thomas Backlund <tmb@mandriva.org> 1.34-1mdv2009.1
+ Revision: 341577
- sync with main 1.34
- rebuild against kernel-tmb-2.6.29-0.rc5.2mdv

* Sun Dec 21 2008 Thomas Backlund <tmb@mandriva.org> 1.31-7mdv2009.1
+ Revision: 316949
- build against kernel-tmb-2.6.27.10-1mdv
- build against kernel-tmb-2.6.27.6-1mdv

* Sun Oct 12 2008 Thomas Backlund <tmb@mandriva.org> 1.31-3mdv2009.1
+ Revision: 292609
- build against kernel-tmb-2.6.27-2mdv
- change dm-raid4-5 to dm-raid45, as the module have been renamed

* Sat Oct 11 2008 Thomas Backlund <tmb@mandriva.org> 1.31-2mdv2009.1
+ Revision: 292104
- build against kernel-tmb-2.6.27-1mdv

* Sun Sep 28 2008 Thomas Backlund <tmb@mandriva.org> 1.31-1mdv2009.0
+ Revision: 289104
- sync with main 1.31
- rebuild against drakx-installer-binaries-1.32-1mdv
- rebuild against kernel-tmb-2.6.27-0.rc7.5.2mdv

* Sun Sep 14 2008 Thomas Backlund <tmb@mandriva.org> 1.30-3mdv2009.0
+ Revision: 284816
- build against kernel-tmb 2.6.27-0.rc6.2.1mdv2009.0

* Thu Aug 28 2008 Thomas Backlund <tmb@mandriva.org> 1.30-2mdv2009.0
+ Revision: 277030
- build against drakx-installer-binaries-1.31
- build against kernel-tmb-2.6.26.3-1mdv

* Sat Aug 02 2008 Thomas Backlund <tmb@mandriva.org> 1.30-1mdv2009.0
+ Revision: 260979
- build against kernel-tmb-2.6.26.1-1mdv2009.0
- update patch0: add dmraid45 and multipath support
- build against drakx-installer-binaries-1.30-1mdv
- sync with main 1.30

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.28-4mdv2009.0
+ Revision: 244543
- rebuild

  + Thomas Backlund <tmb@mandriva.org>
    - build against kernel-tmb-2.6.24.4-1mdv
    - build against drakx-intaller-binaries-1.26-1mdv

* Fri Feb 29 2008 Thomas Backlund <tmb@mandriva.org> 1.28-1mdv2008.1
+ Revision: 176841
- sync with main 1.28-4mdv
- build against kernel-tmb-2.6.24.3-1mdv

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Thomas Backlund <tmb@mandriva.org> 1.23-3mdv2008.0
+ Revision: 93807
- rebuild against drakx-installer-binaries-1.17
- rebuild against kernel-tmb-2.6.23-0.rc8.1mdv
- rebuild against kernel-tmb-2.6.23-0.rc7.1mdv

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.23-1mdv2008.0
+ Revision: 89366
- sync with main 1.23

* Mon Sep 17 2007 Thomas Backlund <tmb@mandriva.org> 1.22-1mdv2008.0
+ Revision: 89043
- sync with main 1.22
- rebuild against kernel-tmb-2.6.23-0.rc6.1mdv

* Thu Sep 06 2007 Thomas Backlund <tmb@mandriva.org> 1.20-1mdv2008.0
+ Revision: 81148
- sync with main 1.20
- build against kernel-tmb-2.6.22.6-1mdv


* Fri Mar 30 2007 Thomas Backlund <tmb@mandriva.org> 1.8-4mdv2007.1
+ Revision: 149777
- rebuild against latest kernel-tmb (2.6.20.4-3mdv)

* Wed Mar 28 2007 Thomas Backlund <tmb@mandriva.org> 1.8-2mdv2007.1
+ Revision: 149256
- rebuild with latest stage2 (with mmc_block) (#29909)

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.8-1mdv2007.1
+ Revision: 148572
- sync with main 1.8

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.7-1mdv2007.1
+ Revision: 148515
- build against drakx-installer-binaries 1.7
- sync with main 1.7
- use drakx-installer-image tarball directly
- use the UP kernel-tmb-desktop(586)(-latest) as installer
  kernel, to make it work on more systems
- update patch0: to only check for 2.6.21 series kernels for now
- dont build empty debug rpms
- rebuild against latest kernel-linus
- rebuild against latest drakx-installer-images
- use drakx-installer-images-1.6-2mdv as base
- use same version as main to make it simplier to keep in sync
- use kernel-tmb-desktop(586)-smp(-latest) as installer kernel
- add patch0: modify scripts to support kernel-tmb
- Created package structure for drakx-installer-images-tmb.

